# VIRTUAL HOST qyr_desarrollo.grupokonecta.local
<VirtualHost *:443>
    ServerAdmin admin@test.com
    ServerName qyr_desarrollo.grupokonecta.local
    ServerAlias www.qyr_desarrollo.grupokonecta.local
    DocumentRoot /var/www/html

    # SECURITY HEADERS
     Header always set Strict-Transport-Security "max-age=31536000; includeSubDomains; preload" env=HTTPS
     Header always set X-Content-Type-Options nosniff
     Header unset Server
     Header always unset X-Powered-By
     Header unset X-Powered-By
     Header unset X-CF-Powered-By
     Header unset X-Mod-Pagespeed
     Header unset X-pingback
     Header set X-Frame-Options SAMEORIGIN
     Header always set Feature-Policy "geolocation 'none'; camera 'none'; microphone 'none'; payment 'none'; usb 'none'; magnetometer 'none' "
     Header set Cache-Control "max-age=84600, no-cache, must-revalidate, no-store"
     Header Set Pragma "no-cache"
     Header set Content-Security-Policy "frame-ancestors 'self' "
     Header edit Set-Cookie ^(.*)$ $1;HttpOnly;Secure;SameSite=Strict
     Header set X-XSS-Protection "1; mode=block"
     ServerSignature On

    ErrorLog /proc/self/fd/2
    TransferLog /proc/self/fd/1

    DirectoryIndex index.php index.html
    
    #Enable HTTP 2
    Protocols h2 h2c http/1.1
    H2Direct on

    ProxyPreserveHost on

    ProxyPass / http://web_qr/
    #ProxyPassReverse / http://web_qr/ Keepalive=On
    ProxyPassReverse / http://qyr_desarrollo.grupokonecta.local/ Keepalive=On

    SSLCertificateFile "/usr/local/apache2/conf/extra/certificados/qyr_desarrollo.grupokonecta.local/qyr.cer"
    SSLCertificateKeyFile "/usr/local/apache2/conf/extra/certificados/qyr_desarrollo.grupokonecta.local/qyr.key"
    SSLCertificateChainFile "/usr/local/apache2/conf/extra/certificados/qyr_desarrollo.grupokonecta.local/intermedia.cer"

    <FilesMatch "\.(cgi|shtml|phtml|php)$">
        SSLOptions +StdEnvVars
    </FilesMatch>
    <Directory "/usr/local/apache2/cgi-bin">
        SSLOptions +StdEnvVars
    </Directory>


    BrowserMatch "MSIE [2-5]" \
            nokeepalive ssl-unclean-shutdown \
            downgrade-1.0 force-response-1.0


    CustomLog /proc/self/fd/1 \
            "%t %h %{SSL_PROTOCOL}x %{SSL_CIPHER}x \"%r\" %b"

</VirtualHost>
